Skip to main content
GET
/
api
/
identity-providers
/
discover
OIDC auto-discovery
curl --request GET \
  --url https://api.example.com/api/identity-providers/discover \
  --header 'Authorization: Bearer <token>'
{
  "authorization_endpoint": "<string>",
  "token_endpoint": "<string>",
  "issuer": "<string>",
  "userinfo_endpoint": "<string>",
  "jwks_uri": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

issuer_url
string
required

OIDC issuer URL.

Response

Parsed OIDC discovery endpoints

Parsed OIDC discovery document.

authorization_endpoint
string
required
token_endpoint
string
required
issuer
string
required
userinfo_endpoint
string | null
jwks_uri
string | null